Bug 173648 - xorg-x11-xfs returns wrong DPI fonts
xorg-x11-xfs returns wrong DPI fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
 
Reported: 2005-11-18 15:00 EST by Bill Nottingham
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 19:34:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-11-18 15:00:33 EST
Description of problem:

xfs is returning a 100dpi font when it should, theoretically, return a 75dpi font.

Net result: GTK 1.x apps are huuuuuuuuuge.

Version-Release number of selected component (if applicable):

xorg-x11-xfs-0.99.2-4

How reproducible:

Every time.

My configs are as follows:

gtkrc:

style "default-text" {
       fontset = "-*-helvetica-medium-r-normal--*-120-*-*-p-*-*-*"
}

fs config:

catalogue = /usr/X11R6/lib/X11/fonts/korean,
        /usr/share/X11/fonts/misc:unscaled,
        /usr/share/X11/fonts/75dpi:unscaled,
        /usr/share/X11/fonts/100dpi:unscaled,
        /usr/X11R6/lib/X11/fonts/misc,
        /usr/share/X11/fonts/Type1,
        /usr/X11R6/lib/X11/fonts/cyrillic,
        /usr/X11R6/lib/X11/fonts/TTF,
        /usr/X11R6/lib/X11/fonts/OTF,
        /usr/share/fonts/default/Type1,
        /usr/share/fonts/ISO8859-2/misc:unscaled,
        /usr/share/fonts/ISO8859-2/misc,
        /usr/share/fonts/KOI8-R/misc:unscaled,
        /usr/share/fonts/KOI8-R/100dpi:unscaled,
        /usr/share/fonts/KOI8-R/misc,
        /usr/share/fonts/KOI8-R/100dpi,
        /usr/share/fonts/tv-fonts,
        /usr/share/AbiSuite/fonts,
        /usr/lib/openoffice/share/fonts/truetype,
        /usr/share/fonts/korean/misc:unscaled,
        /usr/share/fonts/korean/misc,
        /usr/share/fonts/korean/TrueType,
        /usr/share/fonts/japanese/misc:unscaled,
        /usr/share/fonts/japanese/misc,
        /usr/share/fonts/japanese/TrueType,
        /usr/share/fonts/chinese/misc:unscaled,
        /usr/share/fonts/chinese/misc,
        /usr/share/fonts/chinese/TrueType,
        /usr/share/X11/fonts/misc:unscaled,
        /usr/share/X11/fonts/misc,
        /usr/share/X11/fonts/OTF,
        /usr/share/X11/fonts/TTF
# in 12 points, decipoints
default-point-size = 120

# 100 x 100 and 75 x 75
default-resolutions = 75,75,100,100

xdpyinfo:

screen #0:
  dimensions:    1400x1050 pixels (474x356 millimeters)
  resolution:    75x75 dots per inch

However, xfs is returning, for the above gtk font:

-adobe-helvetica-medium-r-normal--17-120-100-100-p-88-iso10646-1

instead of the expected:

-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso10646-1

Hence, apps are fairly large.
Comment 1 Bill Nottingham 2005-11-18 15:07:56 EST
$ xlsfonts | grep "helvetica-medium-r-normal" | grep 120
-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso10646-1
-adobe-helvetica-medium-r-normal--17-120-100-100-p-88-iso10646-1
-adobe-helvetica-medium-r-normal--17-120-100-100-p-88-iso8859-1
-cronyx-helvetica-medium-r-normal--17-120-100-100-p-67-koi8-r
-cronyx-helvetica-medium-r-normal--17-120-100-100-p-67-koi8-r
-cronyx-helvetica-medium-r-normal--17-120-100-100-p-67-koi8-u
-cronyx-helvetica-medium-r-normal--17-120-100-100-p-67-koi8-u

also implies that it would return 75 dpi first.
Comment 2 Mike A. Harris 2005-11-22 23:45:27 EST
This is probably a side effect of bug #173453.  A new version of libfontenc
and xorg-x11-font-utils will be in rawhide soon to be tested, however you
may need to reinstall all of the font packages, or remove all of the
fonts.dir files from the font directories, and restart the xfs initscript,
which will recreate them.
Comment 3 Mike A. Harris 2005-11-23 10:36:40 EST
um..  I pasted the wrong bug ID into the last comment, and bugzilla
magically turned it into a hyperlinked bug alias, and makes the
sentence confusing.  argh.

It's a side effect of the "mkfontscale/mkfontdir" does not work bug, which
was a bug in libfontenc fixed last night.  Installing the new packages wont
"fix" the problem though.  The font directories need to have the fonts.*
files regenerated, either by uninstalling and reinstalling them all,
by upgrading all fonts to new packages, or by removing all fonts.{dir,scale}
files from the system, and doing:

service restart xfs

This requires a restart of the X server too.
Comment 4 Bill Nottingham 2005-11-23 19:34:34 EST
Appears to be fixed with libfontenc-0.99.2-2, and the restart mechanism mentioned.

Note You need to log in before you can comment on or make changes to this bug.